<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Api\Belegung;


interface BelegungStatusAendernHandler
{
  
  public function sendBelegungStatusAendernMail(\Belegung $belegung, array $gruende, string $statusNeu): bool;

  
  public function handleAnmeldungStatusAenderung(\Belegung $belegung, string $statusNeu): string;

  
  public function handleStornoStatusAenderung(\Belegung $belegung, string $statusNeu): string;

  
  public function handleEinfacheStatusAenderung(\Belegung $belegung, string $statusNeu): string;

  
  public function postStatusSofortAenderungSuccessHook(\Belegung $belegung, string $status): void;
}